org.apache.cassandra.db.commitlog

## Class CommitLogSegmentReader.SegmentIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<CommitLogSegmentReader.SyncSegment>
    - - org.apache.cassandra.db.commitlog.CommitLogSegmentReader.SegmentIterator

All Implemented Interfaces:
  java.util.Iterator<CommitLogSegmentReader.SyncSegment>

Enclosing class:
  CommitLogSegmentReader

    protected class CommitLogSegmentReader.SegmentIterator
    extends com.google.common.collect.AbstractIterator<CommitLogSegmentReader.SyncSegment>

### Constructor Summary

Constructors
`protected` `SegmentIterator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CommitLogSegmentReader.SyncSegment` `computeNext()`

### Methods inherited from class com.google.common.collect.AbstractIterator

`endOfData, hasNext, next, peek`

### Methods inherited from class com.google.common.collect.UnmodifiableIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### SegmentIterator

    protected SegmentIterator()

### Method Detail

#### computeNext

    protected CommitLogSegmentReader.SyncSegment computeNext()

Specified by:
  `computeNext` in class `com.google.common.collect.AbstractIterator<CommitLogSegmentReader.SyncSegment>`